Disk ARchive: libdar::cat_etoile Class Reference

| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Classes | Public Member Functions | Private Attributes | List of all members
libdar::cat_etoile Class Reference
Private

the hard link implementation More...

`#include <cat_etoile.hpp>`

## Classes
struct | bool_tags
| bitfield used to record pointed to inode information More...

## Public Member Functions
| cat_etoile (cat_inode *host, const infinint &etiquette_number)
| build an object
| cat_etoile (const cat_etoile &ref)=delete
| cat_etoile (cat_etoile &&ref)=delete
cat_etoile & | operator= (const cat_etoile &ref)=delete
cat_etoile & | operator= (cat_etoile &&ref)=delete
void | add_ref (void *ref)
void | drop_ref (void *ref)
infinint | get_ref_count () const
cat_inode * | get_inode () const
infinint | get_etiquette () const
void | change_etiquette (const infinint &new_val)
void | disable_reduction_to_normal_inode ()
bool | cannot_reduce_to_normal_inode () const
bool | is_counted () const
bool | is_wrote () const
bool | is_dumped () const
void | set_counted (bool val)
void | set_wrote (bool val)
void | set_dumped (bool val)
const void * | get_first_ref () const

## Private Attributes
std::list< void * > | refs
| list of pointers to the mirages objects, in the order of their creation
cat_inode * | hosted
infinint | etiquette
bool_tags | tags

## Detailed Description

the hard link implementation

etoile means star in French. See a star as a point from which are thrown many ray of light

Definition at line 47 of file cat_etoile.hpp.

## Constructor & Destructor Documentation

## ◆ cat_etoile()

libdar::cat_etoile::cat_etoile | ( | cat_inode * | host,
|  | const infinint & | etiquette_number )

build an object

Parameters

  [in] | host | is an inode, it must not be a directory (this would throw an Erange exception)
  [in] | etiquette_number | is the identifier of this multiply linked structure

Note
  the given cat_inode is now managed by the cat_etoile object

References cat_etoile().

Referenced by cat_etoile().

## ◆ ~cat_etoile()

libdar::cat_etoile::~cat_etoile | ( |  | ) |
| inline

Definition at line 61 of file cat_etoile.hpp.

## Member Function Documentation

## ◆ cannot_reduce_to_normal_inode()

bool libdar::cat_etoile::cannot_reduce_to_normal_inode | ( |  | ) | const
| inline

Definition at line 70 of file cat_etoile.hpp.

## ◆ change_etiquette()

void libdar::cat_etoile::change_etiquette | ( | const infinint & | new_val | ) |
| inline

Definition at line 68 of file cat_etoile.hpp.

## ◆ disable_reduction_to_normal_inode()

void libdar::cat_etoile::disable_reduction_to_normal_inode | ( |  | ) |
| inline

Definition at line 69 of file cat_etoile.hpp.

## ◆ get_etiquette()

infinint libdar::cat_etoile::get_etiquette | ( |  | ) | const
| inline

Definition at line 67 of file cat_etoile.hpp.

## ◆ get_first_ref()

const void * libdar::cat_etoile::get_first_ref | ( |  | ) | const
| inline

Definition at line 81 of file cat_etoile.hpp.

## ◆ get_inode()

cat_inode * libdar::cat_etoile::get_inode | ( |  | ) | const
| inline

Definition at line 66 of file cat_etoile.hpp.

## ◆ get_ref_count()

infinint libdar::cat_etoile::get_ref_count | ( |  | ) | const
| inline

Definition at line 65 of file cat_etoile.hpp.

## ◆ is_counted()

bool libdar::cat_etoile::is_counted | ( |  | ) | const
| inline

Definition at line 72 of file cat_etoile.hpp.

## ◆ is_dumped()

bool libdar::cat_etoile::is_dumped | ( |  | ) | const
| inline

Definition at line 74 of file cat_etoile.hpp.

## ◆ is_wrote()

bool libdar::cat_etoile::is_wrote | ( |  | ) | const
| inline

Definition at line 73 of file cat_etoile.hpp.

## ◆ set_counted()

void libdar::cat_etoile::set_counted | ( | bool | val | ) |
| inline

Definition at line 75 of file cat_etoile.hpp.

## ◆ set_dumped()

void libdar::cat_etoile::set_dumped | ( | bool | val | ) |
| inline

Definition at line 77 of file cat_etoile.hpp.

## ◆ set_wrote()

void libdar::cat_etoile::set_wrote | ( | bool | val | ) |
| inline

Definition at line 76 of file cat_etoile.hpp.

## Member Data Documentation

## ◆ etiquette

infinint libdar::cat_etoile::etiquette
| private

Definition at line 99 of file cat_etoile.hpp.

## ◆ hosted

cat_inode* libdar::cat_etoile::hosted
| private

Definition at line 98 of file cat_etoile.hpp.

## ◆ refs

std::list<void *> libdar::cat_etoile::refs
| private

list of pointers to the mirages objects, in the order of their creation

Definition at line 97 of file cat_etoile.hpp.

## ◆ tags

bool_tags libdar::cat_etoile::tags
| private

Definition at line 100 of file cat_etoile.hpp.

The documentation for this class was generated from the following file:

- cat_etoile.hpp